=== debian/changelog ===
cl-asdf (2:3.3.4-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2:2.32-1, 1.109-1.
  * Fix day-of-week for changelog entries 2:3.0.1-1, 2:3.0.0-1, 2:2.30-
    1, 2:2.29-1, 2:2.26-1.

  [ Sébastien Villemot ]
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * Disable clisp autopkgtest on ppc64el, not reliable there

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Jan 2021 14:45:37 +0100

cl-asdf (2:3.3.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * sbcl-2.0.1.patch: drop patch, applied upstream
  * debian/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Feb 2020 20:43:40 +0100
