=== debian/control ===
Source: cl-asdf
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@zamazal.org>,
  Christoph Egger <christoph@debian.org>,
  François-René Rideau <fare@tunes.org>,
  Robert P. Goldman <rpgoldman@sift.info>,
  Kambiz Darabi <darabi@m-creations.net>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.8~),
               texinfo,
               texlive-extra-utils,
               texlive,
               texlive-plain-generic,
               sbcl
Standards-Version: 4.5.1
Homepage: https://common-lisp.net/project/asdf/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
Rules-Requires-Root: no

Package: cl-asdf
Architecture: all
Recommends: sbcl | lisp-compiler
Depends: ${misc:Depends}
Suggests: cl-launch (>= 4.1)
Description: Another System Definition Facility
 ASDF provides the functionality of make and ld.so for Common Lisp software:
 It drives compilation and dynamic loading for complex Lisp systems
 with multiple modules and files, and is the de facto standard used
 by free software written in Common Lisp.
 .
 It also includes a utility library, UIOP, to portably deal with many issues
 that all Common Lisp programs have to deal with, including handling pathnames,
 accessing the filesystem, executing external programs, user configuration, etc.
 .
 Most Common Lisp implementations already provide asdf via (require "asdf"),
 but not all of them provide an up-to-date version.
