## cl-asdf 3.3.5

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,10 @@
 SBCL ?= sbcl
 SCL ?= scl
 XCL ?= xcl
+
+# If you need to sudo in order to use docker, modify this.
+DOCKER ?= docker
+docker_tag ?= latest
 
 header_lisp := header.lisp
 driver_lisp := uiop/package.lisp uiop/common-lisp.lisp uiop/utility.lisp uiop/version.lisp uiop/os.lisp uiop/pathname.lisp uiop/filesystem.lisp uiop/stream.lisp uiop/image.lisp uiop/lisp-build.lisp uiop/launch-program.lisp uiop/run-program.lisp uiop/configuration.lisp uiop/backward-driver.lisp uiop/driver.lisp
@@ -154,10 +158,11 @@
 	git fetch
 	git status
 
-# doc:
-# 	${MAKE} -C doc
-# don't have the toolchain to build docs installed...
-doc: ;
+doc:
+	${MAKE} -C doc
+# if you don't have the toolchain to build docs installed...
+#doc: ;
+
 website:
 	${MAKE} -C doc website
 	${MAKE} -C uiop/doc website
@@ -203,7 +208,16 @@
 
 t: test-lisp
 
-test: doc test-lisp test-clean-load test-load-systems
+# Useful for reproducing test failures with Docker.
+test-docker-repl:
+	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test clfoundation/${l}:${docker_tag}
+
+test-docker-lisp: build/asdf.lisp show-version
+	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) clfoundation/${l}:${docker_tag} make test-lisp l=${l} t=${t}
+
+td: test-docker-lisp
+
+test: test-lisp test-clean-load test-load-systems
 
 test-load-systems: build/asdf.lisp show-version
 	./test/run-tests.sh -l ${l} ${s}
@@ -214,7 +228,7 @@
 	@for lisp in ${lisps} ; do ${MAKE} test-clean-load l=$$lisp || exit 1 ; done
 
 test-all-lisp:
-	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp || exit 1 ; done
+	@for lisp in ${lisps} ; do ${MAKE} test-lisp l=$$lisp t=${t}|| exit 1 ; done
 
 test-all-upgrade:
 	@for lisp in ${ulisps} ; do ${MAKE} test-upgrade l=$$lisp || exit 1 ; done
