=== debian/changelog ===
cl-asdf (2:3.3.5-1) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * New upstream release
  * Update standards version to 4.6.0, no changes needed.
  * Fix lintian override (unusual-interpreter)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + cl-asdf: Drop versioned constraint on cl-launch in Suggests.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Oct 2021 15:11:59 +0200
