=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://common-lisp.net/project/asdf/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
@@ -25,7 +25,7 @@
 Architecture: all
 Recommends: sbcl | lisp-compiler
 Depends: ${misc:Depends}
-Suggests: cl-launch (>= 4.1)
+Suggests: cl-launch
 Description: Another System Definition Facility
  ASDF provides the functionality of make and ld.so for Common Lisp software:
  It drives compilation and dynamic loading for complex Lisp systems
