=== doc/Makefile ===
--- 
+++ 
@@ -12,20 +12,27 @@
 
 all:	asdf.html asdf.info asdf.pdf manual-html
 
+log_output = > $@.log 2>&1 || { echo "  failed. See log in $@.log" ; exit 1 ;}
+
 manual-html: asdf.texinfo
-	makeinfo --html asdf.texinfo \
-	2>&1 > manual-html.log || { echo "failed. See log in manual-html.log" ; exit 1 ;}
+	@echo "makeinfo --html asdf.texinfo"
+	@makeinfo --html asdf.texinfo \
+        $(log_output)
 
 asdf.html: asdf.texinfo
-	makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo \
-	2>&1 > asdf.html.log || { echo "failed. See log in asdf.html.log" ; exit 1 ;}
+	@echo "makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo"
+	@makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo \
+        $(log_output)
 
 asdf.info: asdf.texinfo
-	makeinfo asdf.texinfo
+	@echo "makeinfo asdf.texinfo"
+	@makeinfo asdf.texinfo \
+        $(log_output)
 
 asdf.pdf: asdf.texinfo
-	texi2pdf asdf.texinfo \
-	2>&1 > asdf.pdf.log || { echo "failed. See log in asdf.pdf.log" ; exit 1 ;}
+	@echo "texi2pdf asdf.texinfo"
+	@texi2pdf asdf.texinfo \
+        $(log_output)
 
 website: all
 	rsync -lt --no-g ${webfiles} ${website}
