=== debian/changelog ===
cl-asdf (2:3.3.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update homepage URL in d/control and d/copyright
  * Update standards version to 4.6.1, no changes needed.
  * Add d/upstream/metadata
  * Add autopkgtest for abcl
  * Mark autopkgtests as superficial, since currently they only test the upgrade
    of the ASDF shipped by the implementation

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 24 Sep 2022 11:05:35 +0200
