=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.6.0
-Homepage: https://common-lisp.net/project/asdf/
+Standards-Version: 4.6.1
+Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
 Rules-Requires-Root: no
