## cl-asdf 3.3.7.2

=== debian/changelog ===
cl-asdf (2:3.3.7.2-1) unstable; urgency=medium

  * Updated Standards-Version, no changes
  * Improved debian/watch to use tags on the gitlab site
  * New upstream version 3.3.7.2

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 13:56:31 +0100
