=== debian/changelog ===
cl-asdf (2:3.3.7.3-2) unstable; urgency=medium

  * Source only upload for migration to testing. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 08 Apr 2025 12:16:35 +0200

cl-asdf (2:3.3.7.3-1) unstable; urgency=medium

  * New upstream version 3.3.7.3
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 13:51:10 +0100
