=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive,
                texlive-plain-generic,
                sbcl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://asdf.common-lisp.dev/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-asdf.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-asdf
