=== debian/changelog ===
cl-asdf (2:3.3.7.4-1) sid; urgency=medium

  * New upstream version 3.3.7.4
  * Fixed standard-version

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 09:43:41 +0200
