=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.common-lisp.net/asdf/asdf/tags?sort=updated_desc -/archive/v?\d[\d.]+/asdf-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
